Bug 737595 - [abrt] telepathy-salut-0.4.0-2.fc15: g_signal_emit_valist: Process /usr/libexec/telepathy-salut was killed by signal 11 (SIGSEGV)
Summary: [abrt] telepathy-salut-0.4.0-2.fc15: g_signal_emit_valist: Process /usr/libex...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: telepathy-salut
Version: 15
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Brian Pepple
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:79e7bb4cdaccdbe324e127d7164...
: 691804 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-12 16:19 UTC by Michael S.
Modified: 2012-08-07 15:07 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-07 15:07:41 UTC


Attachments (Terms of Use)
File: backtrace (45.28 KB, text/plain)
2011-09-12 16:19 UTC, Michael S.
no flags Details

Description Michael S. 2011-09-12 16:19:27 UTC
abrt version: 2.0.3
architecture:   x86_64
backtrace_rating: 4
cmdline:        /usr/libexec/telepathy-salut
comment:        I just changed my own hostname, thus leading to a restart of avahi. This likely caused the crash in telepathy-salut
component:      telepathy-salut
crash_function: g_signal_emit_valist
executable:     /usr/libexec/telepathy-salut
kernel:         2.6.40.3-0.fc15.x86_64
os_release:     Fedora release 15 (Lovelock)
package:        telepathy-salut-0.4.0-2.fc15
reason:         Process /usr/libexec/telepathy-salut was killed by signal 11 (SIGSEGV)
time:           Mon Sep 12 17:59:54 2011
uid:            500
username:       misc

backtrace:      Text file, 46367 bytes

build_ids:
:318d7ebb9ff61bf5d08d070bb0fa793c4c0d9cb0
:0b232e446650ce07a3e70bae4f00a7ad5eda2630
:00caa79d9b9399c8cecfe1e6b9b0937c74a24a17
:3e7396aeb0cacf83a7416f50cad1ff2d2d5c1594
:17e8fca193cfa612bf826fa5c6419eb4251bbfdc
:74d56d8081dbddfee69a599e8e29c40cddf40af2
:f8a4496694553ff8dc93d7d93187936f4acd07a9
:48c986082682a31f0a23ad45b8baec3104ccc8bc
:d2e0f5de3c56663db09b3b65eaabc01ae156cde2
:90fe13fac734263f663981ce4d1691cf926ced25
:27301f5062e80c3247bf89aaf21f0a6e3180168f
:4953d1f613914126bccceb3cb96386647ffba9df
:e5f626726497a81807681ed0088dbce6d6a1f17b
:9ef41f9ca0eabaf3a03dd77eb180e202ab4fe956
:fa94676074e67a6a878f2020edad400aa75a8181
:1541a10957f3f42646dd12286aa4644ad5d8d0fc
:1d87720659528ad80e8870da2b2bb4af4470cf66
:85405045f9359a571f307e7d8532aa96bb1342a3
:fcb9ad5d029efcc212a9b4fd383e7cfae87a1482
:3efa90a1dfea76e986419cc678c07b368c6afde2
:15b7f78a004c4f3b671b52e39679b4df8d7135ec
:4c7e95adf3ebf234c3296a412389fb303f4facf0
:fdc09328fea3e060c8a504a8291555b4cd19172a
:fa565193ba81119aca56fd377f7ce66b560faf7d
:c3bf0640bc3345ce7d088a9e8917ed5d7471e1b2
:264bfd9d45950be27417615f22a11928f979af89

dso_list:
:/usr/lib64/libavahi-glib.so.1.0.2 avahi-glib-0.6.30-3.fc15.x86_64 (Fedora Project) 1314910195
:/usr/lib64/libsoup-2.4.so.1.4.0 libsoup-2.34.3-1.fc15.x86_64 (Fedora Project) 1314908981
:/lib64/librt-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1314908128
:/lib64/libresolv-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1314908128
:/usr/lib64/libdbus-glib-1.so.2.1.0 dbus-glib-0.92-2.fc15.x86_64 (Fedora Project) 1314908214
:/lib64/libglib-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.x86_64 (Fedora Project) 1314908206
:/usr/lib64/libavahi-gobject.so.0.0.4 avahi-gobject-0.6.30-3.fc15.x86_64 (Fedora Project) 1314910196
:/lib64/libgcc_s-4.6.0-20110603.so.1 libgcc-4.6.0-10.fc15.x86_64 (Fedora Project) 1314907836
:/lib64/libdl-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1314908128
:/usr/lib64/gconv/gconv-modules.cache glibc-2.14-5.x86_64 (Fedora Project) 1314908128
:/lib64/libgthread-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.x86_64 (Fedora Project) 1314908206
:/usr/lib64/libxml2.so.2.7.8 libxml2-2.7.8-6.fc15.x86_64 (Fedora Project) 1314908146
:/lib64/libdbus-1.so.3.5.4 dbus-libs-1:1.4.6-5.fc15.x86_64 (Fedora Project) 1314908138
:/lib64/libm-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1314908128
:/lib64/ld-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1314908128
:/lib64/libgio-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.x86_64 (Fedora Project) 1314908206
:/usr/lib64/libavahi-common.so.3.5.3 avahi-libs-0.6.30-3.fc15.x86_64 (Fedora Project) 1314908170
:/lib64/libnss_files-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1314908128
:/lib64/libpthread-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1314908128
:/lib64/libc-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1314908128
:/lib64/libgmodule-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.x86_64 (Fedora Project) 1314908206
:/lib64/libz.so.1.2.5 zlib-1.2.5-3.fc15.x86_64 (Fedora Project) 1314908135
:/usr/lib64/libavahi-client.so.3.2.9 avahi-libs-0.6.30-3.fc15.x86_64 (Fedora Project) 1314908170
:/usr/libexec/telepathy-salut telepathy-salut-0.4.0-2.fc15.x86_64 (Fedora Project) 1314910214
:/usr/lib64/libtelepathy-glib.so.0.56.4 telepathy-glib-0.14.9-1.fc15.x86_64 (Fedora Project) 1314908226
:/lib64/libselinux.so.1 libselinux-2.0.99-4.fc15.x86_64 (Fedora Project) 1314908184
:/lib64/libgobject-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.x86_64 (Fedora Project) 1314908206

environ:
:SHELL=/bin/bash
:DBUS_STARTER_ADDRESS=unix:abstract=/tmp/dbus-VUmx9IC2qN,guid=034c602138f0d299345090380000036d
:XDG_SESSION_COOKIE=0a698fb36cb619cdb51292320000001a-1314916599.685069-1026622055
:XDG_RUNTIME_DIR=/run/user/misc
:DISPLAY=:0
:DESKTOP_SESSION=gnome
:SSH_AUTH_SOCK=/tmp/keyring-oHwH2F/ssh
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1845,unix/unix:/tmp/.ICE-unix/1845
:WINDOWPATH=7
:PATH=/usr/local/bin:/usr/bin:/bin
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:GDMSESSION=gnome
:USERNAME=misc
:XDG_SESSION_ID=2
:GPG_AGENT_INFO=/tmp/keyring-oHwH2F/gpg:0:1
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-VUmx9IC2qN,guid=034c602138f0d299345090380000036d
:XAUTHORITY=/var/run/gdm/auth-for-misc-Q2D9P6/database
:USER=misc
:DBUS_STARTER_BUS_TYPE=session
:GNOME_KEYRING_PID=1837
:SHLVL=1
:PWD=/home/misc
:GDM_LANG=
:GNOME_KEYRING_CONTROL=/tmp/keyring-oHwH2F
:LANG=fr_FR.UTF-8
:_=/usr/bin/dbus-launch
:LOGNAME=misc
:HOME=/home/misc

maps:
:00400000-0048f000 r-xp 00000000 fd:02 1180919                            /usr/libexec/telepathy-salut
:0068e000-00693000 rw-p 0008e000 fd:02 1180919                            /usr/libexec/telepathy-salut
:00693000-00694000 rw-p 00000000 00:00 0 
:00892000-00897000 rw-p 00092000 fd:02 1180919                            /usr/libexec/telepathy-salut
:0150c000-01566000 rw-p 00000000 00:00 0                                  [heap]
:3aae800000-3aae81f000 r-xp 00000000 fd:02 1049011                        /lib64/ld-2.14.so
:3aaea1e000-3aaea1f000 r--p 0001e000 fd:02 1049011                        /lib64/ld-2.14.so
:3aaea1f000-3aaea20000 rw-p 0001f000 fd:02 1049011                        /lib64/ld-2.14.so
:3aaea20000-3aaea21000 rw-p 00000000 00:00 0 
:3aaec00000-3aaed8f000 r-xp 00000000 fd:02 1049012                        /lib64/libc-2.14.so
:3aaed8f000-3aaef8f000 ---p 0018f000 fd:02 1049012                        /lib64/libc-2.14.so
:3aaef8f000-3aaef93000 r--p 0018f000 fd:02 1049012                        /lib64/libc-2.14.so
:3aaef93000-3aaef94000 rw-p 00193000 fd:02 1049012                        /lib64/libc-2.14.so
:3aaef94000-3aaef9a000 rw-p 00000000 00:00 0 
:3aaf000000-3aaf016000 r-xp 00000000 fd:02 1049013                        /lib64/libpthread-2.14.so
:3aaf016000-3aaf215000 ---p 00016000 fd:02 1049013                        /lib64/libpthread-2.14.so
:3aaf215000-3aaf216000 r--p 00015000 fd:02 1049013                        /lib64/libpthread-2.14.so
:3aaf216000-3aaf217000 rw-p 00016000 fd:02 1049013                        /lib64/libpthread-2.14.so
:3aaf217000-3aaf21b000 rw-p 00000000 00:00 0 
:3aaf400000-3aaf402000 r-xp 00000000 fd:02 1049015                        /lib64/libdl-2.14.so
:3aaf402000-3aaf602000 ---p 00002000 fd:02 1049015                        /lib64/libdl-2.14.so
:3aaf602000-3aaf603000 r--p 00002000 fd:02 1049015                        /lib64/libdl-2.14.so
:3aaf603000-3aaf604000 rw-p 00003000 fd:02 1049015                        /lib64/libdl-2.14.so
:3aaf800000-3aaf807000 r-xp 00000000 fd:02 1049014                        /lib64/librt-2.14.so
:3aaf807000-3aafa06000 ---p 00007000 fd:02 1049014                        /lib64/librt-2.14.so
:3aafa06000-3aafa07000 r--p 00006000 fd:02 1049014                        /lib64/librt-2.14.so
:3aafa07000-3aafa08000 rw-p 00007000 fd:02 1049014                        /lib64/librt-2.14.so
:3aafc00000-3aafc83000 r-xp 00000000 fd:02 1049028                        /lib64/libm-2.14.so
:3aafc83000-3aafe82000 ---p 00083000 fd:02 1049028                        /lib64/libm-2.14.so
:3aafe82000-3aafe83000 r--p 00082000 fd:02 1049028                        /lib64/libm-2.14.so
:3aafe83000-3aafe84000 rw-p 00083000 fd:02 1049028                        /lib64/libm-2.14.so
:3ab0000000-3ab0016000 r-xp 00000000 fd:02 1049027                        /lib64/libz.so.1.2.5
:3ab0016000-3ab0216000 ---p 00016000 fd:02 1049027                        /lib64/libz.so.1.2.5
:3ab0216000-3ab0217000 rw-p 00016000 fd:02 1049027                        /lib64/libz.so.1.2.5
:3ab0400000-3ab0415000 r-xp 00000000 fd:02 1049029                        /lib64/libgcc_s-4.6.0-20110603.so.1
:3ab0415000-3ab0614000 ---p 00015000 fd:02 1049029                        /lib64/libgcc_s-4.6.0-20110603.so.1
:3ab0614000-3ab0615000 rw-p 00014000 fd:02 1049029                        /lib64/libgcc_s-4.6.0-20110603.so.1
:3ab0800000-3ab081d000 r-xp 00000000 fd:02 1049021                        /lib64/libselinux.so.1
:3ab081d000-3ab0a1c000 ---p 0001d000 fd:02 1049021                        /lib64/libselinux.so.1
:3ab0a1c000-3ab0a1d000 r--p 0001c000 fd:02 1049021                        /lib64/libselinux.so.1
:3ab0a1d000-3ab0a1e000 rw-p 0001d000 fd:02 1049021                        /lib64/libselinux.so.1
:3ab0a1e000-3ab0a1f000 rw-p 00000000 00:00 0 
:3ab0c00000-3ab0d15000 r-xp 00000000 fd:02 1049032                        /lib64/libglib-2.0.so.0.2800.8
:3ab0d15000-3ab0f15000 ---p 00115000 fd:02 1049032                        /lib64/libglib-2.0.so.0.2800.8
:3ab0f15000-3ab0f16000 rw-p 00115000 fd:02 1049032                        /lib64/libglib-2.0.so.0.2800.8
:3ab0f16000-3ab0f17000 rw-p 00000000 00:00 0 
:3ab1000000-3ab1017000 r-xp 00000000 fd:02 1049020                        /lib64/libresolv-2.14.so
:3ab1017000-3ab1217000 ---p 00017000 fd:02 1049020                        /lib64/libresolv-2.14.so
:3ab1217000-3ab1218000 r--p 00017000 fd:02 1049020                        /lib64/libresolv-2.14.so
:3ab1218000-3ab1219000 rw-p 00018000 fd:02 1049020                        /lib64/libresolv-2.14.so
:3ab1219000-3ab121b000 rw-p 00000000 00:00 0 
:3ab1400000-3ab1404000 r-xp 00000000 fd:02 1049033                        /lib64/libgthread-2.0.so.0.2800.8
:3ab1404000-3ab1603000 ---p 00004000 fd:02 1049033                        /lib64/libgthread-2.0.so.0.2800.8
:3ab1603000-3ab1604000 rw-p 00003000 fd:02 1049033                        /lib64/libgthread-2.0.so.0.2800.8
:3ab1800000-3ab184c000 r-xp 00000000 fd:02 1049034                        /lib64/libgobject-2.0.so.0.2800.8
:3ab184c000-3ab1a4b000 ---p 0004c000 fd:02 1049034                        /lib64/libgobject-2.0.so.0.2800.8
:3ab1a4b000-3ab1a4d000 rw-p 0004b000 fd:02 1049034                        /lib64/libgobject-2.0.so.0.2800.8
:3ab1a4d000-3ab1a4e000 rw-p 00000000 00:00 0 
:3ab1c00000-3ab1c03000 r-xp 00000000 fd:02 1049035                        /lib64/libgmodule-2.0.so.0.2800.8
:3ab1c03000-3ab1e02000 ---p 00003000 fd:02 1049035                        /lib64/libgmodule-2.0.so.0.2800.8
:3ab1e02000-3ab1e03000 rw-p 00002000 fd:02 1049035                        /lib64/libgmodule-2.0.so.0.2800.8
:3ab2000000-3ab2121000 r-xp 00000000 fd:02 1049036                        /lib64/libgio-2.0.so.0.2800.8
:3ab2121000-3ab2320000 ---p 00121000 fd:02 1049036                        /lib64/libgio-2.0.so.0.2800.8
:3ab2320000-3ab2326000 rw-p 00120000 fd:02 1049036                        /lib64/libgio-2.0.so.0.2800.8
:3ab2326000-3ab2327000 rw-p 00000000 00:00 0 
:3ab8000000-3ab8042000 r-xp 00000000 fd:02 1049041                        /lib64/libdbus-1.so.3.5.4
:3ab8042000-3ab8242000 ---p 00042000 fd:02 1049041                        /lib64/libdbus-1.so.3.5.4
:3ab8242000-3ab8243000 r--p 00042000 fd:02 1049041                        /lib64/libdbus-1.so.3.5.4
:3ab8243000-3ab8244000 rw-p 00043000 fd:02 1049041                        /lib64/libdbus-1.so.3.5.4
:3ab8c00000-3ab8c0a000 r-xp 00000000 fd:02 1198689                        /usr/lib64/libavahi-gobject.so.0.0.4
:3ab8c0a000-3ab8e0a000 ---p 0000a000 fd:02 1198689                        /usr/lib64/libavahi-gobject.so.0.0.4
:3ab8e0a000-3ab8e0b000 rw-p 0000a000 fd:02 1198689                        /usr/lib64/libavahi-gobject.so.0.0.4
:3ab9800000-3ab9950000 r-xp 00000000 fd:02 1198599                        /usr/lib64/libxml2.so.2.7.8
:3ab9950000-3ab9b50000 ---p 00150000 fd:02 1198599                        /usr/lib64/libxml2.so.2.7.8
:3ab9b50000-3ab9b59000 rw-p 00150000 fd:02 1198599                        /usr/lib64/libxml2.so.2.7.8
:3ab9b59000-3ab9b5b000 rw-p 00000000 00:00 0 
:3abac00000-3abac25000 r-xp 00000000 fd:02 1198618                        /usr/lib64/libdbus-glib-1.so.2.1.0
:3abac25000-3abae24000 ---p 00025000 fd:02 1198618                        /usr/lib64/libdbus-glib-1.so.2.1.0
:3abae24000-3abae26000 rw-p 00024000 fd:02 1198618                        /usr/lib64/libdbus-glib-1.so.2.1.0
:3abbc00000-3abbc03000 r-xp 00000000 fd:02 1198688                        /usr/lib64/libavahi-glib.so.1.0.2
:3abbc03000-3abbe02000 ---p 00003000 fd:02 1198688                        /usr/lib64/libavahi-glib.so.1.0.2
:3abbe02000-3abbe03000 rw-p 00002000 fd:02 1198688                        /usr/lib64/libavahi-glib.so.1.0.2
:3ac2c00000-3ac2c0b000 r-xp 00000000 fd:02 1180618                        /usr/lib64/libavahi-common.so.3.5.3
:3ac2c0b000-3ac2e0b000 ---p 0000b000 fd:02 1180618                        /usr/lib64/libavahi-common.so.3.5.3
:3ac2e0b000-3ac2e0c000 rw-p 0000b000 fd:02 1180618                        /usr/lib64/libavahi-common.so.3.5.3
:3ac3400000-3ac3410000 r-xp 00000000 fd:02 1198687                        /usr/lib64/libavahi-client.so.3.2.9
:3ac3410000-3ac360f000 ---p 00010000 fd:02 1198687                        /usr/lib64/libavahi-client.so.3.2.9
:3ac360f000-3ac3610000 rw-p 0000f000 fd:02 1198687                        /usr/lib64/libavahi-client.so.3.2.9
:3ac3c00000-3ac3c62000 r-xp 00000000 fd:02 1198662                        /usr/lib64/libsoup-2.4.so.1.4.0
:3ac3c62000-3ac3e62000 ---p 00062000 fd:02 1198662                        /usr/lib64/libsoup-2.4.so.1.4.0
:3ac3e62000-3ac3e66000 rw-p 00062000 fd:02 1198662                        /usr/lib64/libsoup-2.4.so.1.4.0
:3ac5400000-3ac5596000 r-xp 00000000 fd:02 1198619                        /usr/lib64/libtelepathy-glib.so.0.56.4
:3ac5596000-3ac5795000 ---p 00196000 fd:02 1198619                        /usr/lib64/libtelepathy-glib.so.0.56.4
:3ac5795000-3ac57a3000 rw-p 00195000 fd:02 1198619                        /usr/lib64/libtelepathy-glib.so.0.56.4
:3ac57a3000-3ac57a4000 rw-p 00000000 00:00 0 
:7f4f2b15b000-7f4f2b167000 r-xp 00000000 fd:02 1048606                    /lib64/libnss_files-2.14.so
:7f4f2b167000-7f4f2b366000 ---p 0000c000 fd:02 1048606                    /lib64/libnss_files-2.14.so
:7f4f2b366000-7f4f2b367000 r--p 0000b000 fd:02 1048606                    /lib64/libnss_files-2.14.so
:7f4f2b367000-7f4f2b368000 rw-p 0000c000 fd:02 1048606                    /lib64/libnss_files-2.14.so
:7f4f2b37a000-7f4f2b387000 rw-p 00000000 00:00 0 
:7f4f2b392000-7f4f2b399000 r--s 00000000 fd:02 1180912                    /usr/lib64/gconv/gconv-modules.cache
:7f4f2b399000-7f4f2b39a000 rw-p 00000000 00:00 0 
:7fff2b99f000-7fff2b9c0000 rw-p 00000000 00:00 0                          [stack]
:7fff2b9ff000-7fff2ba00000 r-xp 00000000 00:00 0                          [vdso]
:ffffffffff600000-ffffffffff601000 r-xp 00000000 00:00 0                  [vsyscall]

var_log_messages:
:Sep 12 17:59:54 dhcp-193-97 kernel: [76853.379723] telepathy-salut[29067]: segfault at 30 ip 0000003ab18287a4 sp 00007fff2b9bdce0 error 4 in libgobject-2.0.so.0.2800.8[3ab1800000+4c000]
:Sep 12 17:59:54 dhcp-193-97 abrt[9874]: saved core dump of pid 29067 (/usr/libexec/telepathy-salut) to /var/spool/abrt/ccpp-2011-09-12-17:59:54-29067.new/coredump (1048576 bytes)

Comment 1 Michael S. 2011-09-12 16:19:31 UTC
Created attachment 522730 [details]
File: backtrace

Comment 2 abrt-bot 2012-03-20 15:09:09 UTC
*** Bug 691804 has been marked as a duplicate of this bug. ***

Comment 3 Fedora End Of Life 2012-08-07 15:07:43 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.